<?xml version="1.0" encoding="utf-8"?>
<navigation android:id="@+id/nav_graph"
  xmlns:android="http://schemas.android.com/apk/res/android"
  xmlns:app="http://schemas.android.com/apk/res-auto"
  app:startDestination="@id/rosterListFragment">

  <fragment
    android:id="@+id/rosterListFragment"
    android:name="com.commonsware.todo.RosterListFragment"
    android:label="@string/app_name">
    <action
      android:id="@+id/displayModel"
      app:destination="@id/displayFragment" />
    <action
      android:id="@+id/createModel"
      app:destination="@id/editFragment">
      <argument
        android:name="modelId"
        android:defaultValue="@null"
        app:argType="string"
        app:nullable="true" />
    </action>
  </fragment>
  <fragment
    android:id="@+id/displayFragment"
    android:name="com.commonsware.todo.DisplayFragment"
    android:label="@string/app_name">
    <argument
      android:name="modelId"
      app:argType="string" />
    <action
      android:id="@+id/editModel"
      app:destination="@id/editFragment" />
  </fragment>
  <fragment
    android:id="@+id/editFragment"
    android:name="com.commonsware.todo.EditFragment"
    android:label="@string/app_name">
    <argument
      android:name="modelId"
      app:argType="string"
      app:nullable="true" />
  </fragment>
</navigation>